package com.fs.qw.service;

import com.fs.qw.domain.QwCompany;
import com.fs.qw.vo.QwOptionsVO;

import java.util.List;

/**
 * 企微主体Service接口
 *
 * @author fs
 * @date 2024-10-09
 */
public interface IQwCompanyService
{
    /**
     * 查询企微主体
     *
     * @param id 企微主体主键
     * @return 企微主体
     */
    public QwCompany selectQwCompanyById(Long id);

    public QwCompany selectQwCompanyByCorpId(String corpId);
    /**
     * 查询企微主体列表
     *
     * @param qwCompany 企微主体
     * @return 企微主体集合
     */
    public List<QwCompany> selectQwCompanyList(QwCompany qwCompany);

    /**
     * 新增企微主体
     *
     * @param qwCompany 企微主体
     * @return 结果
     */
    public int insertQwCompany(QwCompany qwCompany);

    /**
     * 修改企微主体
     *
     * @param qwCompany 企微主体
     * @return 结果
     */
    public int updateQwCompany(QwCompany qwCompany);

    /**
     * 批量删除企微主体
     *
     * @param ids 需要删除的企微主体主键集合
     * @return 结果
     */
    public int deleteQwCompanyByIds(Long[] ids);

    /**
     * 删除企微主体信息
     *
     * @param id 企微主体主键
     * @return 结果
     */
    public int deleteQwCompanyById(Long id);

    List<QwOptionsVO> selectQwCompanyListOptionsVO();


}
